petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoComputeObjectiveAndGradient

Computes the objective function value at a given point

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeObjectiveAndGradient(Tao tao, Vec X, PetscReal *f, Vec G)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| X | - input vector

### Output Parameter

| f | - Objective value at X
| g | - Gradient vector at X

Notes: TaoComputeObjectiveAndGradient() is typically used within minimization implementations, so most users would not generally call this routine themselves.

### See Also

TaoComputeGradient(), TaoComputeObjectiveAndGradient(), TaoSetObjectiveRoutine()

Level:advanced
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages